# ST23 - Update carrier tracking information for shipments

DescriptionIf the carrier is not registered, the complete tracking url can be provided. Limited to 1000 shipments at a time.
Call FrequencyRecommended usage: On each shipment tracking info updateMaximum usage: On each shipment tracking info updateRead MoreMore context

Endpoint: POST /api/shipments/tracking
Security: Front-Bearer-Token, OAuth-2

## Security:

  - `Front-Bearer-Token` (unknown)
    http bearer JWT

  - `OAuth-2` (unknown)
    oauth2

## Request fields (application/json):

  - `shipments` (array, required)
    Shipments list

  - `shipments.id` (string, required)
    Shipment id

  - `shipments.tracking` (object, required)
    Shipment tracking details

  - `shipments.tracking.carrier_code` (string)
    The code of a carrier. This information is mandatory for a registered carrier.

  - `shipments.tracking.carrier_name` (string)
    The name of a carrier. This information is mandatory for an unregistered carrier.

  - `shipments.tracking.carrier_standard_code` (string)
    The standard code of a carrier based on mirakl carrier referential

  - `shipments.tracking.tracking_number` (string)
    The carrier tracking number. This information is mandatory for a registered carrier with a URL requiring a tracking number.

  - `shipments.tracking.tracking_url` (string)
    The tracking url of a carrier. This information is unused for registered carriers (because computed automatically). This information is optional for unregistered carriers.

## Request examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `shipment_errors` (array)
    Shipment workflow update errors

  - `shipment_errors.id` (string)
    Shipment id

  - `shipment_errors.message` (string)
    Error message

  - `shipment_success` (array)
    Shipment workflow update success

  - `shipment_success.id` (string, required)
    Shipment id

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

